//
//  AppDelegate.swift
//  galaxy
//
//  Created by davidhuangA on 2023/12/19.
//

import UIKit
import ESTabBarController_swift
import IQKeyboardManagerSwift

@main
class AppDelegate: UIResponder, UIApplicationDelegate {
    var window: UIWindow?

    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
        // Override point for customization after application launch.
        setupMainWindow()
        return true
    }
    
    //1.设置主窗口
    private func setupMainWindow() {
        let tabBarController = YHTabbarViewController()
        let v1 = YHNavigationViewController(rootViewController: YHHomeViewController())

        let v2 = YHNavigationViewController(rootViewController:YHMyViewController())

        v1.tabBarItem = ESTabBarItem.init(ESTabBarItemContentView(), title: "首页", image: UIImage(named: "home"), selectedImage: UIImage(named: "home_1"))
        v2.tabBarItem = ESTabBarItem.init(ESTabBarItemContentView(), title: "我的", image: UIImage(named: "main"), selectedImage: UIImage(named: "find_1"))
        
        tabBarController.viewControllers = [v1, v2]
        tabBarController.tabBar.backgroundColor = .white
        
        window = UIWindow(frame: UIScreen.main.bounds)
        window?.rootViewController = tabBarController
        window?.makeKeyAndVisible()
        window?.backgroundColor = .white
    }
}


